Subject: Re: 23.0.60; frame size issue (--geometry or default-frame-alist) when using customized default face

From: "Tim Van Holder" <[email-masked]>
Date: Tue, 30 Sep 2008 09:39:12 +0200

On Mon, Sep 29, 2008 at 7:30 PM, Chong Yidong <[email-masked]> wrote:
> "Tim Van Holder" <[email-masked]> writes:
>
>> 4 consecutive runs of emacs (with 132x60 set via customize) resulted
>> in windows that were 132x57, 112x55, 132x69 and 175x61 in size.  As
>> before (new-frame) always results in a correctly sized frame - it's
>> only the initial frame that shows the problem.  I'll do a clean
>> bootstrap build; if that makes a difference, I'll send another mail.
>
> Could you start Emacs in gdb, set a gdb breakpoint at Fset_frame_size,
> run the program, then do `backtrace' and `continue' past each of the
> breaks?  Then mail me the result.

Done - log attached.
As mentioned in the file, gdb does not seem able to catch all uses of that
function; there's a couple visible frame size changes that don't trigger the
breakpoint.

As an aside, how easy would it be to defer the actual visible frame size
changes until emacs is ready to accept input? That would avoid the "resizing
dance" emacs now does at startup (almost enough to warrant an epilepsy
warning :D).